0

I am new on Ubuntu (try to switch from Windows). Now I try to run Wordfast Pro 7.2.0 on Ubuntu.

Running the programm leads to the following error:

A fatal error has been detected by the Java Runtime Environment:

SIGSEGV (0xb) at pc=0x00007f741806b740, pid=8313, tid=8383

JRE version: OpenJDK Runtime Environment 18.9 (11.0.13+8) (build 11.0.13+8) Java VM: OpenJDK 64-Bit Server VM 18.9 (11.0.13+8, mixed mode, tiered, compressed oops, g1 gc, linux-amd64) Problematic frame: C [libX11.so.6+0x2b740] XInternAtom+0x40

I deinstalled OpenJDK and installed Oracle JDK but still receive the same error.

"java -version" gives:

Java version "17.0.5" 2022-10-18 LTS Java(TM) SE Runtime Environment (build 17.0.5+9-LTS-191) Java HotSpot(TM) 64-Bit Server VM (build 17.0.5+9-LTS-191, mixed mode, sharing)

Could you please help me to find a solution?

3
  • 2
    Welcome to AskUbuntu, and Ubuntu in general! Which version of Ubuntu are you running? The error that you've experienced is – apologies for the upcoming technobabble – the result of an incompatibility with some Wayland sessions. If you are running a version of Ubuntu that uses Wayland, then you'll need to switch it to the older X manager. This answer shows you how to do it.
    – matigo
    Oct 19, 2022 at 11:36
  • Hello, thank you for your help and quick reply! I run Ubuntu 22.04.1 LTS. I'll try to follow the answer. Thanks for pointing me in the right direction!
    – Risu
    Oct 19, 2022 at 11:39
  • That solved the issue. Thank you!
    – Risu
    Oct 19, 2022 at 11:55

1 Answer 1

0

It is a missing library:

sudo apt install libgconf-2-4

And restart Wordfast

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .